Subject: Re: [Tools-discuss] Outdated I-D reference

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 01 Oct 2014 11:21:09 +0200

Hi Yaron,

On 2014-09-30 18:09 Yaron Sheffer said:
> Hi,
> 
> I am running xml2rfc 2.4.8 locally, on Ubuntu. When referencing my own 
> I-D.ietf-uta-tls-attacks, it insists on generating a ref to version -01 of the 
> draft, even though -04 is available (and appears on 
> http://xml2rfc.ietf.org/public/rfc/bibxml3/). The online xml2rfc tool works 
> fine. Any ideas?

If you run xml2rfc while off-line, and it tries to update the reference info,
it will make one attempt, but then delay the next attempt until 24 hours has
passed, if I recall correctly.  You can always clean out your cache, and re-
run if you're online.  The cache should be in ~/.cache/xml2rfc/.

Best regards,

	Henrik